#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,k;
    cin>>n>>k;
    int a[n];
    for(int i=0;i<n;i++)
    {
        cin>>a[i];
    }
    for(int i=0;i<n;i++)
    {
        if(a[i]==k)
        {
            if(i==0) cout<<a[n-1];
            else if(i=n-1) cout<<a[0];
            else cout<<a[i-1];
        }
    }
    return 0;
}